Subject: bug#77725: 31.0.50; Add support for types accepted by `cl-typep' to cl-generic?

From: David Ponce <[email-masked]>
Date: Wed, 7 May 2025 21:33:05 +0200

On 2025-05-07 20:59, Stefan Monnier wrote:
>> On the other hand, I don't see what advantage there is in allowing the
>> definition of new methods based on a type that cannot be dispatched
>> because it is in error.  Unless perhaps these methods become functional
>> again without doing anything when the type definition has been
>> fixed.  In this case, I agree it is better not to block
>> anything.  So I will rely on your experience in this area ;-)
> 
> I'm just being optimistic.
> It may turn out you were right, in which case we'll revisit
> this decision.

Make sense :-)

> 
> In the mean time I did some renaming to use the term "derived type",
> added some docs, and pushed the result to `master`.

You did an impressive work!
Thank you so much for making this breakthrough for Emacs possible!

David